The App is saying my IPAD mini is not compatible!

  • 1
  • Question
  • Updated 10 months ago
  • Acknowledged
I have a compatible Ipad mini for the Trend Micro app and it keeps coming up that the ipad is not compatible. I also have the right software version
Photo of stojcevski_v


  • 80 Points 75 badge 2x thumb

Posted 10 months ago

  • 1
Photo of stojcevski_v


  • 80 Points 75 badge 2x thumb
Please help!!!
Photo of TM_Kiko

TM_Kiko, Employee

  • 8,264 Points 5k badge 2x thumb
Hello there stojcevski_v ! Welcome to the community.

We understand that you are having troubles installing the Trend Micro App on your iOS device. We do apologize for any inconvenience and allow us to share some information about this.

Ideally, the lower version of Trend Micro Mobile Security should be available to 32-bit iOS devices but this did not happen because Apple (their AppStore) prevents our app to have 2 versions available, one for the latest devices and the other for the 32-bit devices. Due to this limitation, we chose the latest version to be the one available on the AppStore, we do apologize again for the inconvenience that this have caused you and I do hope you understand why must we take this position.

The following iOS devices are running the 64bit type Operating System.
  • iPhone 7, 7 Plus
  • iPhone 6S, 6S Plus
  • iPhone 6, 6 Plus
  • iPhone SE
  • iPhone 5S
  • iPad Air, Air 2
  • iPad Mini 2, Mini 3, Mini 4
  • iPad Pro
See this link for the reference:

System requirements for Mobile Security for iOS

You might be confused about the 64 bit or 32 bit Operating System even if you are running the Latest iOS Updates. The 64 bit or 32 bit information refers to the System. 

I hope this helps you with your concern.

Trend Micro Home Users Community